body {
  background-color: #FCFCFC;
}


.signup_section {
  display: flex;
  width: 100%;
  padding: 60px 0px 178px 0px;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
}

.signup_container {
  display: flex;
  width: 640px;
  flex-direction: column;
  align-items: center;
  gap: 24px;
}

.signup_logo_wrapper {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 22.24px;
}

.signup_logo {
  cursor: pointer;
}

.signup_logo_text {
  color: var(--brand-blue, #3692FF);
  font-family: "ROKAF Sans";
  font-size: 66.344px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  margin: 0px;
}

.signup_content_wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 24px;
  align-self: stretch;
}

.signup_form {
  margin-top: 16px;
  display: flex;
  flex-direction: column;
  gap: 24px;
  align-self: stretch;
}

.signup_field_group {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.signup_label {
  color: var(--Secondary-800, #1F2937);

  /* pretendard/2lg-18px-bold */
  font-family: Pretendard;
  font-size: 18px;
  font-style: normal;
  font-weight: 700;
  line-height: 26px; /* 144.444% */
}

.signup_input {
  display: flex;
  height: 56px;
  padding: 16px 24px;
  align-items: flex-start;
  align-self: stretch;
  border-radius: 12px;
  background: var(--cool-gray-50, #F9FAFB);
  border: none;
  outline: none;
  box-sizing: border-box;
  width: 100%;
  max-width: 640px;
  color: var(--gray-800, #1F2937);
  font-family: Pretendard;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  padding: 16px 24px;
  flex-direction: column;
  justify-content: center;
  
  gap: 10px;
  border-radius: 12px;
  background: var(--Cool-Gray-100, #F3F4F6);
}

.signup_input::placeholder {
  color: var(--Secondary-400, #9CA3AF);

  /* pretendard/lg-16px-regular */
  font-family: Pretendard;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 26px; /* 162.5% */
  }

.signup_input:focus {
  border: 2px solid #3692FF;
}

.signup_password_wrapper {
  position: relative;
  display: flex;
  align-items: center;
}

.signup_password_wrapper .signup_input {
  padding-right: 56px;
}

.signup_eye_button {
  position: absolute;
  right: 16px;
  background: none;
  border: none;
  padding: 0;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #9CA3AF;
}

.signup_button {
  display: flex;
  width: 640px;
  height: 56px;
  padding: 16px 124px;
  justify-content: center;
  align-items: center;
  gap: 16px;
  border-radius: 40px;
  background-color: var(--Secondary-400, #9CA3AF);
  border: none;


  color: var(--Cool-Gray-100, #F3F4F6);
  text-align: center;

  /* pretendard/xl-20px-semibold */
  font-family: Pretendard;
  font-size: 20px;
  font-style: normal;
  font-weight: 500;
  line-height: 32px; /* 160% */
}


.signup_sns_wrapper {
  display: flex;
  padding: 16px 23px;
  justify-content: space-between;
  align-items: center;
  align-self: stretch;
  border: 1px solid var(--gray-200, #E5E7EB);
  padding: 16px 23px;
  gap: 10px;
  border-radius: 8px;
  background-color: #E6F2FF;
  border: none;
}

.signup_sns_label {
  color: var(--gray-700, #374151);
  font-family: Pretendard;
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
}

.signup_sns_icons {
  display: flex;
  align-items: center;
  gap: 16px;
}

.signup_sns_icon_link {
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.signup_signup_text {
  margin: 0;
  color: var(--Secondary-800, #1F2937);

  /* pretendard/md-14px-medium */
  font-family: Pretendard;
  font-size: 14px;
  font-style: normal;
  font-weight: 500;
  line-height: 24px; /* 171.429% */
}

.signup_signup_link {
  color: var(--Primary-100, #3692FF);
  font-family: Pretendard;
  font-size: 14px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-decoration-skip-ink: none;
  text-decoration-thickness: auto;
  text-underline-offset: auto;
  text-underline-position: from-font;
}
